---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.129.2.14
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: image-registry-7958686d94-5n487
      namespace: openshift-image-registry
      resourceVersion: "26777"
      uid: c7d386da-4adb-4e77-889c-cca1c5a19da9
    topology:
      kubernetes.io/hostname: worker-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    creationTimestamp: "2022-03-08T11:01:08Z"
    generateName: image-registry-
    generation: 6
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: image-registry
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"9de3cefe-b15d-468c-893b-afe5276efee4"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T11:01:17Z"
    name: image-registry-j8ljn
    namespace: openshift-image-registry
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: image-registry
      uid: 9de3cefe-b15d-468c-893b-afe5276efee4
    resourceVersion: "26786"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-image-registry/endpointslices/image-registry-j8ljn
    uid: 565bfa3a-e4d2-49de-843d-4f7f18135553
  ports:
  - name: 5000-tcp
    port: 5000
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.130.0.10
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: cluster-image-registry-operator-98c4d4975-kxn6n
      namespace: openshift-image-registry
      resourceVersion: "15456"
      uid: 2444134d-3e57-4cee-818f-8e4d5918ee8d
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:42:38Z"
    creationTimestamp: "2022-03-08T10:14:17Z"
    generateName: image-registry-operator-
    generation: 4
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: image-registry-operator
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"79dc5ec2-00d2-427b-9280-599adc2a735b"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:39:51Z"
    name: image-registry-operator-jcvp5
    namespace: openshift-image-registry
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: image-registry-operator
      uid: 79dc5ec2-00d2-427b-9280-599adc2a735b
    resourceVersion: "15458"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-image-registry/endpointslices/image-registry-operator-jcvp5
    uid: 4ab063d7-1aae-439d-9b32-15d6a64b24e5
  ports:
  - name: ""
    port: 60000
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "82725"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-image-registry/endpointslices
